Bug 1578755 - certmonger gets avc on getattr for /
Summary: certmonger gets avc on getattr for /
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-16 11:08 UTC by Alexander Bokovoy
Modified: 2018-05-26 20:43 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.1-29.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-26 20:43:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Alexander Bokovoy 2018-05-16 11:08:04 UTC
OpenQA found this when running tests with IPA server:

https://openqa.fedoraproject.org/tests/237684/file/_console_avc_crash-avcs.txt

----
time->Wed May 16 06:10:59 2018
type=AVC msg=audit(1526465459.511:153): avc:  denied  { getattr } for  pid=17449 comm="certmonger" name="/" dev="dm-0" ino=96 scontext=system_u:system_r:certmonger_t:s0 tcontext=system_u:object_r:fs_t:s0 tclass=filesystem permissive=0
----

This is a configuration where a fresh F28 is set up with IPA from https://bodhi.fedoraproject.org/updates/FEDORA-2018-93dfeefc68

Comment 1 Fedora Update System 2018-05-24 14:35:07 UTC
selinux-policy-3.14.1-29.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a74875b364

Comment 2 Fedora Update System 2018-05-25 18:42:04 UTC
selinux-policy-3.14.1-29.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a74875b364

Comment 3 Fedora Update System 2018-05-26 20:43:53 UTC
selinux-policy-3.14.1-29.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.